---
title: "Get analytics viewers"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › reports

`GET /v2/reports/{id}/analytics/viewers`

## Path parameters

- `id` (`report-get-analytics-viewers.path.id`; string, required)
  - format `uuid`

## Query parameters

- `period` (`report-get-analytics-viewers.query.period`; string, optional)
  - one of `"day"`, `"week"`, `"month"`; default `"month"`
- `limit` (`report-get-analytics-viewers.query.limit`; integer, optional)
  - min 1; max 100; default `20`
- `cursor` (`report-get-analytics-viewers.query.cursor`; string, optional)
  - minLength 42; maxLength 2048; pattern `^[A-Za-z0-9_-]+\.[A-Za-z0-9_-]+$`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/reports/<id>/analytics/viewers'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reports/<id>/analytics/viewers';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reports/<id>/analytics/viewers"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "status": "available",
    "readAt": "2019-08-24T14:15:22Z",
    "scope": {
      "subject": {
        "type": "personal",
        "id": "string",
        "authorization": "authenticated_user",
        "actingContext": "personal"
      },
      "period": {
        "key": "day",
        "startAt": "2019-08-24T14:15:22Z",
        "endAt": "2019-08-24T14:15:22Z",
        "timezone": "UTC",
        "interval": "half_open",
        "asOf": "2019-08-24T14:15:22Z",
        "coverage": "event_window",
        "comparison": {
          "startAt": "2019-08-24T14:15:22Z",
          "endAt": "2019-08-24T14:15:22Z",
          "relationship": "immediately_preceding_equal_duration"
        }
      },
      "sources": [
        {
          "source": {
            "key": "directory_listing_views",
            "classification": "canonical",
            "recordAuthorities": [
              "directory.profile_viewed",
              "directory.result_clicked"
            ],
            "readAuthorities": [
              "directory_engagement_daily",
              "directory_engagement_viewers"
            ],
            "projectionAuthority": {
              "ordering": "events.stream_version",
              "receipts": "projection_event_receipts",
              "checkpoint": "projection_scoped_checkpoints",
              "lifecycle": "projection_lifecycles"
            },
            "countingPolicy": "eligible_event",
            "countingEnforcement": "partial",
            "viewerHistory": {
              "availability": "unavailable",
              "timeAuthority": "first_viewed_at_only",
              "blocker": "last_view_watermark_required"
            },
            "policyVersion": "directory-engagement-v1"
          },
          "policy": {
            "identifiedViewer": "currently_authorized_owner_or_manager_only",
            "anonymousViewerHistory": "aggregate_only",
            "privateViewerHistory": "aggregate_only",
            "identityInference": "prohibited",
            "minimumBreakdownCohort": 5,
            "selfViews": "excluded",
            "activeBlocks": "bidirectional_write_and_read_exclusion",
            "blockRationaleDisclosure": "never",
            "privateBrowsing": "anonymous_aggregate_only",
            "returningViewers": "disabled",
            "enforcement": {
              "selfViews": "enforced",
              "activeBlocks": "enforced",
              "privateBrowsing": "enforced",
              "excludedTraffic": "enforced"
            }
          }
        }
      ],
      "resourceTypes": [
        "personal_profile"
      ]
    },
    "identifiedViewers": [
      {
        "rowId": "string",
        "viewer": {
          "id": "string",
          "name": "string",
          "avatar": "string",
          "title": "string",
          "company": "string",
          "publicProfileSlug": "string",
          "disclosure": "identified",
          "eligibility": {
            "evaluatedAt": "2019-08-24T14:15:22Z",
            "authentication": "authenticated",
            "privacy": "non_private",
            "activeBlocks": "non_blocked",
            "deletion": "non_deleted",
            "source": "source_eligible",
            "derivation": "server_derived_current_state"
          }
        },
        "resource": {
          "type": "personal_profile",
          "id": "string",
          "label": "string"
        },
        "source": "directory_listing_views",
        "latestViewedAt": "2019-08-24T14:15:22Z",
        "representation": "event",
        "timeLabel": "viewed",
        "viewCount": 1
      }
    ],
    "sourceOutcomes": [
      {
        "status": "available",
        "source": "directory_listing_views",
        "freshness": {
          "consistency": "read_time",
          "computedAt": "2019-08-24T14:15:22Z",
          "projectedThrough": "null",
          "lagMilliseconds": "null"
        },
        "identifiedHistory": {
          "status": "available",
          "rowCount": 100
        },
        "withheldActivity": {
          "status": "available",
          "data": {
            "totalViews": 0,
            "aggregationWindow": {
              "startAt": "2019-08-24T14:15:22Z",
              "endAt": "2019-08-24T14:15:22Z",
              "timezone": "UTC",
              "interval": "half_open"
            },
            "historyTreatment": "aggregate_only",
            "breakdown": {
              "status": "available",
              "anonymousViews": 0,
              "privateViews": 0,
              "minimumCohort": 5
            }
          }
        }
      }
    ],
    "pagination": {
      "limit": 1,
      "hasMore": true,
      "nextCursor": "stringstringstringstringstringstringstring"
    }
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`report-get-analytics-viewers.response.200.data`; object, required)
  - `status` (`report-get-analytics-viewers.response.200.data.status`; string, required)
    - one of `"available"`, `"degraded"`, `"unavailable"`
  - `readAt` (`report-get-analytics-viewers.response.200.data.readAt`; string, required)
    - format `date-time`
  - `scope` (`report-get-analytics-viewers.response.200.data.scope`; object, required)
    - `subject` (`report-get-analytics-viewers.response.200.data.scope.subject`; any of, required)
      - any of:
        - `object`
          - `type` (`report-get-analytics-viewers.response.200.data.scope.subject.1.type`; string, required)
            - one of `"personal"`
          - `id` (`report-get-analytics-viewers.response.200.data.scope.subject.1.id`; string, required)
            - minLength 1; maxLength 256
          - `authorization` (`report-get-analytics-viewers.response.200.data.scope.subject.1.authorization`; string, required)
            - one of `"authenticated_user"`
          - `actingContext` (`report-get-analytics-viewers.response.200.data.scope.subject.1.actingContext`; string, required)
            - one of `"personal"`
        - `object`
          - `type` (`report-get-analytics-viewers.response.200.data.scope.subject.2.type`; string, required)
            - one of `"directory_listing"`
          - `id` (`report-get-analytics-viewers.response.200.data.scope.subject.2.id`; string, required)
            - minLength 1; maxLength 256
          - `authorization` (`report-get-analytics-viewers.response.200.data.scope.subject.2.authorization`; string, required)
            - one of `"current_directory_management_authority"`
        - `object`
          - `type` (`report-get-analytics-viewers.response.200.data.scope.subject.3.type`; string, required)
            - one of `"entity"`
          - `id` (`report-get-analytics-viewers.response.200.data.scope.subject.3.id`; string, required)
            - minLength 1; maxLength 256
          - `status` (`report-get-analytics-viewers.response.200.data.scope.subject.3.status`; string, required)
            - one of `"compatibility_labeled"`
          - `authorization` (`report-get-analytics-viewers.response.200.data.scope.subject.3.authorization`; string, required)
            - one of `"current_entity_owner"`
        - `object`
          - `type` (`report-get-analytics-viewers.response.200.data.scope.subject.4.type`; string, required)
            - one of `"report"`
          - `id` (`report-get-analytics-viewers.response.200.data.scope.subject.4.id`; string, required)
            - minLength 1; maxLength 256
          - `authorization` (`report-get-analytics-viewers.response.200.data.scope.subject.4.authorization`; string, required)
            - one of `"report_owner_only"`
    - `period` (`report-get-analytics-viewers.response.200.data.scope.period`; object, required)
      - `key` (`report-get-analytics-viewers.response.200.data.scope.period.key`; string, required)
        - one of `"day"`, `"week"`, `"month"`, `"custom"`
      - `startAt` (`report-get-analytics-viewers.response.200.data.scope.period.startAt`; string, required)
        - format `date-time`
      - `endAt` (`report-get-analytics-viewers.response.200.data.scope.period.endAt`; string, required)
        - format `date-time`
      - `timezone` (`report-get-analytics-viewers.response.200.data.scope.period.timezone`; string, required)
        - one of `"UTC"`
      - `interval` (`report-get-analytics-viewers.response.200.data.scope.period.interval`; string, required)
        - one of `"half_open"`
      - `asOf` (`report-get-analytics-viewers.response.200.data.scope.period.asOf`; string, required)
        - format `date-time`
      - `coverage` (`report-get-analytics-viewers.response.200.data.scope.period.coverage`; string, required)
        - one of `"event_window"`, `"snapshot"`, `"projection"`
      - `comparison` (`report-get-analytics-viewers.response.200.data.scope.period.comparison`; object, required)
        - `startAt` (`report-get-analytics-viewers.response.200.data.scope.period.comparison.startAt`; string, required)
          - format `date-time`
        - `endAt` (`report-get-analytics-viewers.response.200.data.scope.period.comparison.endAt`; string, required)
          - format `date-time`
        - `relationship` (`report-get-analytics-viewers.response.200.data.scope.period.comparison.relationship`; string, required)
          - one of `"immediately_preceding_equal_duration"`
    - `sources` (`report-get-analytics-viewers.response.200.data.scope.sources`; array<object>, required)
      - `source` (`report-get-analytics-viewers.response.200.data.scope.sources.source`; any of, required)
        - any of:
          - `object`
            - `key` (`report-get-analytics-viewers.response.200.data.scope.sources.source.1.key`; string, required)
              - one of `"directory_listing_views"`
            - `classification` (`report-get-analytics-viewers.response.200.data.scope.sources.source.1.classification`; string, required)
              - one of `"canonical"`
            - `recordAuthorities` (`report-get-analytics-viewers.response.200.data.scope.sources.source.1.recordAuthorities`; array<unknown>, required)
            - `readAuthorities` (`report-get-analytics-viewers.response.200.data.scope.sources.source.1.readAuthorities`; array<unknown>, required)
            - `projectionAuthority` (`report-get-analytics-viewers.response.200.data.scope.sources.source.1.projectionAuthority`; object, required)
              - `ordering` (`report-get-analytics-viewers.response.200.data.scope.sources.source.1.projectionAuthority.ordering`; string, required)
                - one of `"events.stream_version"`
              - `receipts` (`report-get-analytics-viewers.response.200.data.scope.sources.source.1.projectionAuthority.receipts`; string, required)
                - one of `"projection_event_receipts"`
              - `checkpoint` (`report-get-analytics-viewers.response.200.data.scope.sources.source.1.projectionAuthority.checkpoint`; string, required)
                - one of `"projection_scoped_checkpoints"`
              - `lifecycle` (`report-get-analytics-viewers.response.200.data.scope.sources.source.1.projectionAuthority.lifecycle`; string, required)
                - one of `"projection_lifecycles"`
            - `countingPolicy` (`report-get-analytics-viewers.response.200.data.scope.sources.source.1.countingPolicy`; string, required)
              - one of `"eligible_event"`
            - `countingEnforcement` (`report-get-analytics-viewers.response.200.data.scope.sources.source.1.countingEnforcement`; string, required)
              - one of `"partial"`
            - `viewerHistory` (`report-get-analytics-viewers.response.200.data.scope.sources.source.1.viewerHistory`; object, required)
              - `availability` (`report-get-analytics-viewers.response.200.data.scope.sources.source.1.viewerHistory.availability`; string, required)
                - one of `"unavailable"`
              - `timeAuthority` (`report-get-analytics-viewers.response.200.data.scope.sources.source.1.viewerHistory.timeAuthority`; string, required)
                - one of `"first_viewed_at_only"`
              - `blocker` (`report-get-analytics-viewers.response.200.data.scope.sources.source.1.viewerHistory.blocker`; string, required)
                - one of `"last_view_watermark_required"`
            - `policyVersion` (`report-get-analytics-viewers.response.200.data.scope.sources.source.1.policyVersion`; string, required)
              - one of `"directory-engagement-v1"`
          - `object`
            - `key` (`report-get-analytics-viewers.response.200.data.scope.sources.source.2.key`; string, required)
              - one of `"compatibility_profile_views"`
            - `classification` (`report-get-analytics-viewers.response.200.data.scope.sources.source.2.classification`; string, required)
              - one of `"compatibility"`
            - `recordAuthority` (`report-get-analytics-viewers.response.200.data.scope.sources.source.2.recordAuthority`; string, required)
              - one of `"profile_views"`
            - `readAuthorities` (`report-get-analytics-viewers.response.200.data.scope.sources.source.2.readAuthorities`; array<unknown>, required)
            - `countingPolicy` (`report-get-analytics-viewers.response.200.data.scope.sources.source.2.countingPolicy`; string, required)
              - one of `"deduplicated_24_hours"`
            - `countingEnforcement` (`report-get-analytics-viewers.response.200.data.scope.sources.source.2.countingEnforcement`; string, required)
              - one of `"enforced"`
            - `viewerHistory` (`report-get-analytics-viewers.response.200.data.scope.sources.source.2.viewerHistory`; object, required)
              - `availability` (`report-get-analytics-viewers.response.200.data.scope.sources.source.2.viewerHistory.availability`; string, required)
                - one of `"available"`
              - `timeAuthority` (`report-get-analytics-viewers.response.200.data.scope.sources.source.2.viewerHistory.timeAuthority`; string, required)
                - one of `"latest_viewed_at"`
            - `policyVersion` (`report-get-analytics-viewers.response.200.data.scope.sources.source.2.policyVersion`; string, required)
              - one of `"profile-views-v1"`
          - `object`
            - `key` (`report-get-analytics-viewers.response.200.data.scope.sources.source.3.key`; string, required)
              - one of `"compatibility_entity_views"`
            - `classification` (`report-get-analytics-viewers.response.200.data.scope.sources.source.3.classification`; string, required)
              - one of `"compatibility"`
            - `recordAuthority` (`report-get-analytics-viewers.response.200.data.scope.sources.source.3.recordAuthority`; string, required)
              - one of `"entity_views"`
            - `readAuthorities` (`report-get-analytics-viewers.response.200.data.scope.sources.source.3.readAuthorities`; array<unknown>, required)
            - `countingPolicy` (`report-get-analytics-viewers.response.200.data.scope.sources.source.3.countingPolicy`; string, required)
              - one of `"compatibility_source_owned"`
            - `countingEnforcement` (`report-get-analytics-viewers.response.200.data.scope.sources.source.3.countingEnforcement`; string, required)
              - one of `"partial"`
            - `viewerHistory` (`report-get-analytics-viewers.response.200.data.scope.sources.source.3.viewerHistory`; object, required)
              - `availability` (`report-get-analytics-viewers.response.200.data.scope.sources.source.3.viewerHistory.availability`; string, required)
                - one of `"available"`
              - `timeAuthority` (`report-get-analytics-viewers.response.200.data.scope.sources.source.3.viewerHistory.timeAuthority`; string, required)
                - one of `"latest_viewed_at"`
            - `policyVersion` (`report-get-analytics-viewers.response.200.data.scope.sources.source.3.policyVersion`; string, required)
              - one of `"entity-views-v1"`
          - `object`
            - `key` (`report-get-analytics-viewers.response.200.data.scope.sources.source.4.key`; string, required)
              - one of `"report_views"`
            - `classification` (`report-get-analytics-viewers.response.200.data.scope.sources.source.4.classification`; string, required)
              - one of `"canonical"`
            - `recordAuthority` (`report-get-analytics-viewers.response.200.data.scope.sources.source.4.recordAuthority`; string, required)
              - one of `"document_views"`
            - `readAuthorities` (`report-get-analytics-viewers.response.200.data.scope.sources.source.4.readAuthorities`; array<unknown>, required)
            - `countingPolicy` (`report-get-analytics-viewers.response.200.data.scope.sources.source.4.countingPolicy`; string, required)
              - one of `"idempotent_document_view"`
            - `countingEnforcement` (`report-get-analytics-viewers.response.200.data.scope.sources.source.4.countingEnforcement`; string, required)
              - one of `"enforced"`
            - `viewerHistory` (`report-get-analytics-viewers.response.200.data.scope.sources.source.4.viewerHistory`; object, required)
              - `availability` (`report-get-analytics-viewers.response.200.data.scope.sources.source.4.viewerHistory.availability`; string, required)
                - one of `"available"`
              - `timeAuthority` (`report-get-analytics-viewers.response.200.data.scope.sources.source.4.viewerHistory.timeAuthority`; string, required)
                - one of `"latest_viewed_at"`
              - `attributionAuthority` (`report-get-analytics-viewers.response.200.data.scope.sources.source.4.viewerHistory.attributionAuthority`; string, required)
                - one of `"report_view_delivery_receipts.private_attribution"`
            - `idempotencyEnforcement` (`report-get-analytics-viewers.response.200.data.scope.sources.source.4.idempotencyEnforcement`; object, required)
              - `share` (`report-get-analytics-viewers.response.200.data.scope.sources.source.4.idempotencyEnforcement.share`; string, required)
                - one of `"enforced"`
              - `direct` (`report-get-analytics-viewers.response.200.data.scope.sources.source.4.idempotencyEnforcement.direct`; string, required)
                - one of `"enforced"`
              - `vaultOrCollection` (`report-get-analytics-viewers.response.200.data.scope.sources.source.4.idempotencyEnforcement.vaultOrCollection`; string, required)
                - one of `"enforced"`
              - `api` (`report-get-analytics-viewers.response.200.data.scope.sources.source.4.idempotencyEnforcement.api`; string, required)
                - one of `"enforced"`
            - `policyVersion` (`report-get-analytics-viewers.response.200.data.scope.sources.source.4.policyVersion`; string, required)
              - one of `"report-views-v1"`
      - `policy` (`report-get-analytics-viewers.response.200.data.scope.sources.policy`; object, required)
        - `identifiedViewer` (`report-get-analytics-viewers.response.200.data.scope.sources.policy.identifiedViewer`; string, required)
          - one of `"currently_authorized_owner_or_manager_only"`
        - `anonymousViewerHistory` (`report-get-analytics-viewers.response.200.data.scope.sources.policy.anonymousViewerHistory`; string, required)
          - one of `"aggregate_only"`
        - `privateViewerHistory` (`report-get-analytics-viewers.response.200.data.scope.sources.policy.privateViewerHistory`; string, required)
          - one of `"aggregate_only"`
        - `identityInference` (`report-get-analytics-viewers.response.200.data.scope.sources.policy.identityInference`; string, required)
          - one of `"prohibited"`
        - `minimumBreakdownCohort` (`report-get-analytics-viewers.response.200.data.scope.sources.policy.minimumBreakdownCohort`; number, required)
          - one of `5`
        - `selfViews` (`report-get-analytics-viewers.response.200.data.scope.sources.policy.selfViews`; string, required)
          - one of `"excluded"`
        - `activeBlocks` (`report-get-analytics-viewers.response.200.data.scope.sources.policy.activeBlocks`; string, required)
          - one of `"bidirectional_write_and_read_exclusion"`
        - `blockRationaleDisclosure` (`report-get-analytics-viewers.response.200.data.scope.sources.policy.blockRationaleDisclosure`; string, required)
          - one of `"never"`
        - `privateBrowsing` (`report-get-analytics-viewers.response.200.data.scope.sources.policy.privateBrowsing`; string, required)
          - one of `"anonymous_aggregate_only"`
        - `returningViewers` (`report-get-analytics-viewers.response.200.data.scope.sources.policy.returningViewers`; string, required)
          - one of `"disabled"`
        - `enforcement` (`report-get-analytics-viewers.response.200.data.scope.sources.policy.enforcement`; object, required)
          - `selfViews` (`report-get-analytics-viewers.response.200.data.scope.sources.policy.enforcement.selfViews`; string, required)
            - one of `"enforced"`, `"partial"`, `"pending"`
          - `activeBlocks` (`report-get-analytics-viewers.response.200.data.scope.sources.policy.enforcement.activeBlocks`; string, required)
            - one of `"enforced"`, `"partial"`, `"pending"`
          - `privateBrowsing` (`report-get-analytics-viewers.response.200.data.scope.sources.policy.enforcement.privateBrowsing`; string, required)
            - one of `"enforced"`, `"partial"`, `"pending"`
          - `excludedTraffic` (`report-get-analytics-viewers.response.200.data.scope.sources.policy.enforcement.excludedTraffic`; string, required)
            - one of `"enforced"`, `"partial"`, `"pending"`
    - `resourceTypes` (`report-get-analytics-viewers.response.200.data.scope.resourceTypes`; array<string>, required)
      - one of `"personal_profile"`, `"directory_listing"`, `"entity_profile"`, `"report"`
  - `identifiedViewers` (`report-get-analytics-viewers.response.200.data.identifiedViewers`; array<any of>, required)
    - any of:
      - `object`
        - `rowId` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.rowId`; string, required)
          - minLength 1; maxLength 256
        - `viewer` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.viewer`; object, required)
          - `id` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.viewer.id`; string, required)
            - minLength 1; maxLength 256
          - `name` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.viewer.name`; string, required)
            - minLength 1; maxLength 200
          - `avatar` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.viewer.avatar`; string, required, nullable)
            - maxLength 2048
          - `title` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.viewer.title`; string, required, nullable)
            - maxLength 200
          - `company` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.viewer.company`; string, required, nullable)
            - maxLength 200
          - `publicProfileSlug` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.viewer.publicProfileSlug`; string, required, nullable)
            - minLength 1; maxLength 200; pattern `^[^/?#\s]+$`
          - `disclosure` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.viewer.disclosure`; string, required)
            - one of `"identified"`
          - `eligibility` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.viewer.eligibility`; object, required)
            - `evaluatedAt` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.viewer.eligibility.evaluatedAt`; string, required)
              - format `date-time`
            - `authentication` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.viewer.eligibility.authentication`; string, required)
              - one of `"authenticated"`
            - `privacy` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.viewer.eligibility.privacy`; string, required)
              - one of `"non_private"`
            - `activeBlocks` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.viewer.eligibility.activeBlocks`; string, required)
              - one of `"non_blocked"`
            - `deletion` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.viewer.eligibility.deletion`; string, required)
              - one of `"non_deleted"`
            - `source` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.viewer.eligibility.source`; string, required)
              - one of `"source_eligible"`
            - `derivation` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.viewer.eligibility.derivation`; string, required)
              - one of `"server_derived_current_state"`
        - `resource` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.resource`; any of, required)
          - any of:
            - `object`
              - `type` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.resource.1.type`; string, required)
                - one of `"personal_profile"`
              - `id` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.resource.1.id`; string, required)
                - minLength 1; maxLength 256
              - `label` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.resource.1.label`; string, required, nullable)
                - minLength 1; maxLength 200
            - `object`
              - `type` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.resource.2.type`; string, required)
                - one of `"directory_listing"`
              - `id` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.resource.2.id`; string, required)
                - minLength 1; maxLength 256
              - `label` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.resource.2.label`; string, required, nullable)
                - minLength 1; maxLength 200
            - `object`
              - `type` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.resource.3.type`; string, required)
                - one of `"entity_profile"`
              - `id` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.resource.3.id`; string, required)
                - minLength 1; maxLength 256
              - `label` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.resource.3.label`; string, required, nullable)
                - minLength 1; maxLength 200
            - `object`
              - `type` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.resource.4.type`; string, required)
                - one of `"report"`
              - `id` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.resource.4.id`; string, required)
                - minLength 1; maxLength 256
              - `ownerSubjectId` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.resource.4.ownerSubjectId`; string, required)
                - minLength 1; maxLength 256
              - `label` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.resource.4.label`; string, required)
                - minLength 1; maxLength 200
        - `source` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.source`; string, required)
          - one of `"directory_listing_views"`, `"compatibility_profile_views"`, `"compatibility_entity_views"`, `"report_views"`
        - `latestViewedAt` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.latestViewedAt`; string, required)
          - format `date-time`
        - `representation` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.representation`; string, required)
          - one of `"event"`
        - `timeLabel` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.timeLabel`; string, required)
          - one of `"viewed"`
        - `viewCount` (`report-get-analytics-viewers.response.200.data.identifiedViewers.1.viewCount`; number, required)
          - one of `1`
      - `object`
        - `rowId` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.rowId`; string, required)
          - minLength 1; maxLength 256
        - `viewer` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.viewer`; object, required)
          - `id` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.viewer.id`; string, required)
            - minLength 1; maxLength 256
          - `name` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.viewer.name`; string, required)
            - minLength 1; maxLength 200
          - `avatar` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.viewer.avatar`; string, required, nullable)
            - maxLength 2048
          - `title` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.viewer.title`; string, required, nullable)
            - maxLength 200
          - `company` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.viewer.company`; string, required, nullable)
            - maxLength 200
          - `publicProfileSlug` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.viewer.publicProfileSlug`; string, required, nullable)
            - minLength 1; maxLength 200; pattern `^[^/?#\s]+$`
          - `disclosure` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.viewer.disclosure`; string, required)
            - one of `"identified"`
          - `eligibility` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.viewer.eligibility`; object, required)
            - `evaluatedAt` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.viewer.eligibility.evaluatedAt`; string, required)
              - format `date-time`
            - `authentication` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.viewer.eligibility.authentication`; string, required)
              - one of `"authenticated"`
            - `privacy` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.viewer.eligibility.privacy`; string, required)
              - one of `"non_private"`
            - `activeBlocks` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.viewer.eligibility.activeBlocks`; string, required)
              - one of `"non_blocked"`
            - `deletion` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.viewer.eligibility.deletion`; string, required)
              - one of `"non_deleted"`
            - `source` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.viewer.eligibility.source`; string, required)
              - one of `"source_eligible"`
            - `derivation` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.viewer.eligibility.derivation`; string, required)
              - one of `"server_derived_current_state"`
        - `resource` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.resource`; any of, required)
          - any of:
            - `object`
              - `type` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.resource.1.type`; string, required)
                - one of `"personal_profile"`
              - `id` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.resource.1.id`; string, required)
                - minLength 1; maxLength 256
              - `label` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.resource.1.label`; string, required, nullable)
                - minLength 1; maxLength 200
            - `object`
              - `type` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.resource.2.type`; string, required)
                - one of `"directory_listing"`
              - `id` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.resource.2.id`; string, required)
                - minLength 1; maxLength 256
              - `label` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.resource.2.label`; string, required, nullable)
                - minLength 1; maxLength 200
            - `object`
              - `type` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.resource.3.type`; string, required)
                - one of `"entity_profile"`
              - `id` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.resource.3.id`; string, required)
                - minLength 1; maxLength 256
              - `label` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.resource.3.label`; string, required, nullable)
                - minLength 1; maxLength 200
            - `object`
              - `type` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.resource.4.type`; string, required)
                - one of `"report"`
              - `id` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.resource.4.id`; string, required)
                - minLength 1; maxLength 256
              - `ownerSubjectId` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.resource.4.ownerSubjectId`; string, required)
                - minLength 1; maxLength 256
              - `label` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.resource.4.label`; string, required)
                - minLength 1; maxLength 200
        - `source` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.source`; string, required)
          - one of `"directory_listing_views"`, `"compatibility_profile_views"`, `"compatibility_entity_views"`, `"report_views"`
        - `latestViewedAt` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.latestViewedAt`; string, required)
          - format `date-time`
        - `representation` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.representation`; string, required)
          - one of `"grouped"`
        - `timeLabel` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.timeLabel`; string, required)
          - one of `"last_viewed"`
        - `viewCount` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.viewCount`; integer, required)
          - min 0
        - `aggregationWindow` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.aggregationWindow`; object, required)
          - `startAt` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.aggregationWindow.startAt`; string, required)
            - format `date-time`
          - `endAt` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.aggregationWindow.endAt`; string, required)
            - format `date-time`
          - `timezone` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.aggregationWindow.timezone`; string, required)
            - one of `"UTC"`
          - `interval` (`report-get-analytics-viewers.response.200.data.identifiedViewers.2.aggregationWindow.interval`; string, required)
            - one of `"half_open"`
  - `sourceOutcomes` (`report-get-analytics-viewers.response.200.data.sourceOutcomes`; array<any of>, required)
    - any of:
      - `object`
        - `status` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.status`; string, required)
          - one of `"available"`
        - `source` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.source`; string, required)
          - one of `"directory_listing_views"`, `"compatibility_profile_views"`, `"compatibility_entity_views"`, `"report_views"`
        - `freshness` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.freshness`; any of, required)
          - any of:
            - `object`
              - `consistency` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.freshness.1.consistency`; string, required)
                - one of `"read_time"`
              - `computedAt` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.freshness.1.computedAt`; string, required)
                - format `date-time`
              - `projectedThrough` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.freshness.1.projectedThrough`; unknown, required, nullable)
                - one of `"null"`
              - `lagMilliseconds` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.freshness.1.lagMilliseconds`; unknown, required, nullable)
                - one of `"null"`
            - `object`
              - `consistency` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.freshness.2.consistency`; string, required)
                - one of `"projection"`
              - `computedAt` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.freshness.2.computedAt`; string, required)
                - format `date-time`
              - `projectedThrough` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.freshness.2.projectedThrough`; string, required)
                - format `date-time`
              - `lagMilliseconds` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.freshness.2.lagMilliseconds`; integer, required)
                - min 0
              - `staleAfterMilliseconds` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.freshness.2.staleAfterMilliseconds`; integer, required)
                - min 0
        - `identifiedHistory` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.identifiedHistory`; object, required)
          - `status` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.identifiedHistory.status`; string, required)
            - one of `"available"`
          - `rowCount` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.identifiedHistory.rowCount`; integer, required)
            - min 0; max 100
        - `withheldActivity` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity`; object, required)
          - `status` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity.status`; string, required)
            - one of `"available"`
          - `data` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity.data`; object, required)
            - `totalViews` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity.data.totalViews`; integer, required)
              - min 0
            - `aggregationWindow` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity.data.aggregationWindow`; object, required)
              - `startAt` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity.data.aggregationWindow.startAt`; string, required)
                - format `date-time`
              - `endAt` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity.data.aggregationWindow.endAt`; string, required)
                - format `date-time`
              - `timezone` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity.data.aggregationWindow.timezone`; string, required)
                - one of `"UTC"`
              - `interval` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity.data.aggregationWindow.interval`; string, required)
                - one of `"half_open"`
            - `historyTreatment` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity.data.historyTreatment`; string, required)
              - one of `"aggregate_only"`
            - `breakdown` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity.data.breakdown`; any of, required)
              - any of:
                - `object`
                  - `status` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity.data.breakdown.1.status`; string, required)
                    - one of `"available"`
                  - `anonymousViews` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity.data.breakdown.1.anonymousViews`; integer, required)
                    - min 0
                  - `privateViews` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity.data.breakdown.1.privateViews`; integer, required)
                    - min 0
                  - `minimumCohort` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity.data.breakdown.1.minimumCohort`; number, required)
                    - one of `5`
                - `object`
                  - `status` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity.data.breakdown.2.status`; string, required)
                    - one of `"suppressed"`
                  - `minimumCohort` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity.data.breakdown.2.minimumCohort`; number, required)
                    - one of `5`
                - `object`
                  - `status` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.1.withheldActivity.data.breakdown.3.status`; string, required)
                    - one of `"unsupported"`
      - `object`
        - `status` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.status`; string, required)
          - one of `"degraded"`
        - `source` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.source`; string, required)
          - one of `"directory_listing_views"`, `"compatibility_profile_views"`, `"compatibility_entity_views"`, `"report_views"`
        - `freshness` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.freshness`; any of, required)
          - any of:
            - `object`
              - `consistency` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.freshness.1.consistency`; string, required)
                - one of `"read_time"`
              - `computedAt` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.freshness.1.computedAt`; string, required)
                - format `date-time`
              - `projectedThrough` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.freshness.1.projectedThrough`; unknown, required, nullable)
                - one of `"null"`
              - `lagMilliseconds` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.freshness.1.lagMilliseconds`; unknown, required, nullable)
                - one of `"null"`
            - `object`
              - `consistency` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.freshness.2.consistency`; string, required)
                - one of `"projection"`
              - `computedAt` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.freshness.2.computedAt`; string, required)
                - format `date-time`
              - `projectedThrough` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.freshness.2.projectedThrough`; string, required)
                - format `date-time`
              - `lagMilliseconds` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.freshness.2.lagMilliseconds`; integer, required)
                - min 0
              - `staleAfterMilliseconds` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.freshness.2.staleAfterMilliseconds`; integer, required)
                - min 0
        - `identifiedHistory` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.identifiedHistory`; any of, required)
          - any of:
            - `object`
              - `status` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.identifiedHistory.1.status`; string, required)
                - one of `"available"`
              - `rowCount` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.identifiedHistory.1.rowCount`; integer, required)
                - min 0; max 100
            - `object`
              - `status` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.identifiedHistory.2.status`; string, required)
                - one of `"unavailable"`
              - `error` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.identifiedHistory.2.error`; object, required)
                - `code` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.identifiedHistory.2.error.code`; string, required)
                  - one of `"SOURCE_UNAVAILABLE"`, `"POLICY_UNAVAILABLE"`
                - `message` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.identifiedHistory.2.error.message`; string, required)
                  - minLength 1; maxLength 300
        - `withheldActivity` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity`; any of, required)
          - any of:
            - `object`
              - `status` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.1.status`; string, required)
                - one of `"available"`
              - `data` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.1.data`; object, required)
                - `totalViews` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.1.data.totalViews`; integer, required)
                  - min 0
                - `aggregationWindow` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.1.data.aggregationWindow`; object, required)
                  - `startAt` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.1.data.aggregationWindow.startAt`; string, required)
                    - format `date-time`
                  - `endAt` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.1.data.aggregationWindow.endAt`; string, required)
                    - format `date-time`
                  - `timezone` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.1.data.aggregationWindow.timezone`; string, required)
                    - one of `"UTC"`
                  - `interval` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.1.data.aggregationWindow.interval`; string, required)
                    - one of `"half_open"`
                - `historyTreatment` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.1.data.historyTreatment`; string, required)
                  - one of `"aggregate_only"`
                - `breakdown` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.1.data.breakdown`; any of, required)
                  - any of:
                    - `object`
                      - `status` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.1.data.breakdown.1.status`; string, required)
                        - one of `"available"`
                      - `anonymousViews` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.1.data.breakdown.1.anonymousViews`; integer, required)
                        - min 0
                      - `privateViews` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.1.data.breakdown.1.privateViews`; integer, required)
                        - min 0
                      - `minimumCohort` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.1.data.breakdown.1.minimumCohort`; number, required)
                        - one of `5`
                    - `object`
                      - `status` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.1.data.breakdown.2.status`; string, required)
                        - one of `"suppressed"`
                      - `minimumCohort` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.1.data.breakdown.2.minimumCohort`; number, required)
                        - one of `5`
                    - `object`
                      - `status` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.1.data.breakdown.3.status`; string, required)
                        - one of `"unsupported"`
            - `object`
              - `status` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.2.status`; string, required)
                - one of `"unavailable"`
              - `error` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.2.error`; object, required)
                - `code` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.2.error.code`; string, required)
                  - one of `"SOURCE_UNAVAILABLE"`, `"POLICY_UNAVAILABLE"`
                - `message` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.withheldActivity.2.error.message`; string, required)
                  - minLength 1; maxLength 300
        - `issues` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.issues`; array<object>, required)
          - `code` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.issues.code`; string, required)
            - one of `"SOURCE_UNAVAILABLE"`, `"PROJECTION_LAG"`, `"POLICY_UNAVAILABLE"`, `"PARTIAL_SOURCE_FAILURE"`, `"WITHHELD_ACTIVITY_UNAVAILABLE"`, `"IDENTIFIED_HISTORY_UNAVAILABLE"`, `"UNKNOWN_SOURCE"`, `"RECONCILIATION_DIVERGENCE"`
          - `message` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.2.issues.message`; string, required)
            - minLength 1; maxLength 300
      - `object`
        - `status` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.3.status`; string, required)
          - one of `"unavailable"`
        - `source` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.3.source`; string, required)
          - one of `"directory_listing_views"`, `"compatibility_profile_views"`, `"compatibility_entity_views"`, `"report_views"`
        - `freshness` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.3.freshness`; object, required)
          - `consistency` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.3.freshness.consistency`; string, required)
            - one of `"unavailable"`
          - `checkedAt` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.3.freshness.checkedAt`; string, required)
            - format `date-time`
          - `lastSuccessfulAt` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.3.freshness.lastSuccessfulAt`; string, required, nullable)
            - format `date-time`
          - `projectedThrough` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.3.freshness.projectedThrough`; string, required, nullable)
            - format `date-time`
        - `error` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.3.error`; object, required)
          - `code` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.3.error.code`; string, required)
            - one of `"SOURCE_UNAVAILABLE"`, `"POLICY_UNAVAILABLE"`
          - `message` (`report-get-analytics-viewers.response.200.data.sourceOutcomes.3.error.message`; string, required)
            - minLength 1; maxLength 300
  - `pagination` (`report-get-analytics-viewers.response.200.data.pagination`; object, required)
    - `limit` (`report-get-analytics-viewers.response.200.data.pagination.limit`; integer, required)
      - min 1; max 100
    - `hasMore` (`report-get-analytics-viewers.response.200.data.pagination.hasMore`; boolean, required)
    - `nextCursor` (`report-get-analytics-viewers.response.200.data.pagination.nextCursor`; string, required, nullable)
      - minLength 42; maxLength 2048; pattern `^[A-Za-z0-9_-]+\.[A-Za-z0-9_-]+$`
- `meta` (`report-get-analytics-viewers.response.200.meta`; object, optional)
  - `timestamp` (`report-get-analytics-viewers.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-analytics-viewers.response.400.error`; object, required)
  - `code` (`report-get-analytics-viewers.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-analytics-viewers.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-analytics-viewers.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-analytics-viewers.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-analytics-viewers.response.401.error`; object, required)
  - `code` (`report-get-analytics-viewers.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-analytics-viewers.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-analytics-viewers.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-analytics-viewers.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-analytics-viewers.response.403.error`; object, required)
  - `code` (`report-get-analytics-viewers.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-analytics-viewers.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-analytics-viewers.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-analytics-viewers.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-analytics-viewers.response.404.error`; object, required)
  - `code` (`report-get-analytics-viewers.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-analytics-viewers.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-analytics-viewers.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-analytics-viewers.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-analytics-viewers.response.500.error`; object, required)
  - `code` (`report-get-analytics-viewers.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-analytics-viewers.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-analytics-viewers.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-analytics-viewers.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/report-get-analytics-viewers/index.md
